import request from '@/utils/request'

// 查询站点栏目管理列表
export function listColumn(query) {
  return request({
    url: '/system/column/list',
    method: 'get',
    params: query
  })
}

// 查询站点栏目管理详细
export function getColumn(id) {
  return request({
    url: '/system/column/' + id,
    method: 'get'
  })
}

// 新增站点栏目管理
export function addColumn(data) {
  return request({
    url: '/system/column',
    method: 'post',
    data: data
  })
}

// 修改站点栏目管理
export function updateColumn(data) {
  return request({
    url: '/system/column',
    method: 'put',
    data: data
  })
}

// 删除站点栏目管理
export function delColumn(id) {
  return request({
    url: '/system/column/' + id,
    method: 'delete'
  })
}
